extern "C" 
{
	CVertexBuffer* IrrScene_CVertexBuffer_newFromIndexType(E_VERTEX_TYPE VertexType)
	{
		return new CVertexBuffer(VertexType);
	}	

	CVertexBuffer* IrrScene_CVertexBuffer_newFromOther(const IVertexBuffer* VertexBufferCopy)
	{
		return new CVertexBuffer(*VertexBufferCopy);
	}
	
	bool IrrScene_CVertexBuffer_drop(CVertexBuffer* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* IrrScene_CVertexBuffer_getDebugName(CVertexBuffer* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void IrrScene_CVertexBuffer_grab(CVertexBuffer* unk)
	{
		if (unk)
			unk->grab();
	}		
}